ProjectionStackTrigger (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj
Interface ProjectionStackTrigger

All Known Implementing Classes:
  EmbeddedNavPanel, ProjectionStackTool, ProjMapBeanKeyListener

    public interface ProjectionStackTrigger

Provides Projection Stack input by firing BackProkCmd and ForwardProjCmd commands, which cause it to set a projection in the MapBean. The commands used when firing an action event should be the ones listed in the ProjectionStack

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener al)` Add an ActionListener for events that trigger events to shift the Projection stack.
`void` | `removeActionListener(java.awt.event.ActionListener al)` Remove an ActionListener that receives events that trigger events to shift the Projection stack.
`void` | `updateProjectionStackStatus(boolean containsBackProjections, boolean containsForwardProjections)` To receive a status to let the trigger know if any projections in the forward or backward stacks exist, possibly to disable any gui widgets.

Method Detail

### addActionListener

    void addActionListener(java.awt.event.ActionListener al)

  Add an ActionListener for events that trigger events to shift the Projection stack.

### removeActionListener

    void removeActionListener(java.awt.event.ActionListener al)

  Remove an ActionListener that receives events that trigger events to shift the Projection stack.

### updateProjectionStackStatus

    void updateProjectionStackStatus(boolean containsBackProjections,
                                     boolean containsForwardProjections)

  To receive a status to let the trigger know if any projections in the forward or backward stacks exist, possibly to disable any gui widgets.

  Parameters:
    `containsBackProjections` - there is at least one past projection in the back cache.
    `containsForwardProjections` - there is at least one future projection in the forward cache. Used when a past projection is being used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details